Subject: Re: git-mailinfo munges the patch?

From: Don Zickus <[email-masked]>
Date: Thu, 29 Mar 2007 16:53:57 -0400

On Thu, Mar 29, 2007 at 01:18:51PM -0700, Junio C Hamano wrote:
> I noticed that the new mailinfo when splitting a message into
> cover letter and the patch text seems to munge the patch text,
> applying the same "if content-type is not there then assume
> latin-1 and recode to utf-8" logic that is applied to the commit
> log message.  That munging should not be done to the patch text,
> and it appears the current code botches it.

Ok.  I see what you are saying with the old code.  Sorry about that.  Do
you have a sample file that I can play with to test my fix?

Cheers,
Don